%global dlrn_nvr os-refresh-config-13.1.1.dev1-17.1.20231020003745.812905b
%global dlrn 1
%define upstream_version 13.1.1.dev1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           os-refresh-config
Version: 13.1.1
Release: 17.1.20231020003746.812905b%{?dist}
Summary:        Refresh system configuration

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{name}
Source0: os-refresh-config-13.1.1.dev1-17.1.20231020003745.812905b.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=812905b54bf6458eb04ee643dc8c8596e1c97c91

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:  git-core

Requires:       dib-utils

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr

Requires:       python3-psutil

%description
Tool to refresh openstack config changes to service.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif

%autosetup -n %{name}-%{upstream_version} -S git

%build
%{py3_build}

%install
%{py3_install}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/pre-configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/migration.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/post-configure.d

# remove tests
rm -fr %{buildroot}%{python3_sitelib}/os_refresh_config/tests

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-refresh-config
%{_libexecdir}/%{name}
%{python3_sitelib}/os_refresh_config*

%changelog
* Thu Oct 19 2023 OSP Prod Chain <dev-null@redhat.com> 13.1.1-17.1.20231020003745.812905b
- Update patches
- Update python job template

* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 13.1.0-17.1.20230621190253.5bb536c
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.0-1.20220727215600.5bb536c
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.0-0.20220712082513.5bb536c
- Update patches

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.2-0.20210714223723.5bb536c
- Update patches
- Use py3 as the default runtime for tox

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.1-0.20210528083345.197972b
- Update patches

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.1-0.20210427012741.197972b
- Update patches
- Add Python3 victoria unit tests

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove tripleo-multinode-container-minimal from layout + fix test

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump pyflakes

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock
- Stop testing python2.7

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement


